Bug 447290 - gthumb can't import photos because hal mounted the camera's storage
gthumb can't import photos because hal mounted the camera's storage
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: Reopened
: 579424 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 06:57 EDT by Thomas Vander Stichele
Modified: 2010-06-08 08:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 579424 (view as bug list)
Environment:
Last Closed: 2010-06-08 08:20:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 442448 None None None Never
Debian BTS 526452 None None None Never

  None (edit)
Description Thomas Vander Stichele 2008-05-19 06:57:44 EDT
Description of problem:

gthumb cannot import photos anymore from my Canon Powershot G2

Version-Release number of selected component (if applicable):
2.10.8-3.fc9

How reproducible:
always

Steps to Reproduce:
1. plug in camera through usb, turn on
2. choose gthumb to import
3.
  
Actual results:

gthumb import dialog shows:

An error occurred in the io-library ('Could not lock the device'): Camera is
already in use.



Expected results:


This should Just Work as it did before.

Additional info:

I noticed nautilus added a Canon Powershot icon on the desktop, which I assume
had the camera file system mounted.  Unmounting it, and launching gthumb by hand
allows me to import pictures.
Comment 1 Matti Lehti 2008-05-21 15:19:36 EDT
Similar problems, but time to time instead of getting the window to choose
gthumb to import, I get following error message:
"Unable to mount Canon, Inc. PowerShot A40
DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply
(timeout by message bus)"

and camera contents open in Nautilus window with "Open gThumb Image Viewer"-button.

In both cases the gthumb Import Photos dialog shows messages "No camera
detected" and  "Loading camera drivers from '/usr/lib/libgphoto2/2.4.0'..." for
several minutes, but finally it reads camera contents and import works normally.
Comment 2 Bruce Brackbill 2008-05-27 01:43:51 EDT
I too am unable to import pictures form my camera.
Also, this camera worked on previous fedoras.


Two error dialogs pop up:

1:
Unable to mount Kodak Co. CX7220
DBus error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply
(timeout by message bus)

2:
Couldn't display "gphoto2://[usb:004,010]/".
Error: Error initializing camera: -1: Unspecified error
Please select another viewer and try again.

xsession-errors displays: 

(nautilus:2604): GLib-GIO-CRITICAL **: g_file_has_prefix: assertion `G_IS_FILE
(file)' failed

(nautilus:2604): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(nautilus:2604): GLib-GIO-CRITICAL **: g_file_has_prefix: assertion `G_IS_FILE
(file)' failed

(nautilus:2604): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
converting comment system...done.
(nautilus:2604): GLib-GIO-CRITICAL **: g_file_has_prefix: assertion `G_IS_FILE
(file)' failed

(nautilus:2604): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

dmesg shows:

usb 4-1: new full speed USB device using uhci_hcd and address 10
usb 4-1: configuration #1 chosen from 1 choice
usb 4-1: New USB device found, idVendor=040a, idProduct=0579
usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 4-1: Product: KODAK EasyShare CX7220 Zoom Digital Camera
usb 4-1: Manufacturer: Eastman Kodak Company
usb 4-1: SerialNumber: CX72244572515
gvfsd-gphoto2[3467]: segfault at c ip 004037a0 sp bfa9ac6c error 4 in
libpthread-2.8.so[3fc000+15000]
Comment 3 Dan Nicholson 2008-11-06 09:42:30 EST
I think this is mostly because the interaction changed when gvfs support was added to nautilus. Previously, gnome-volume-manager would see camera events and launch the action you had setup. Now, that support has been taken out of gnome-volume-manager. Instead, nautilus has better mount support through gvfs, and I guess you're supposed to use the camera as mass storage if you can.
Comment 4 Pavel Rosenboim 2008-12-11 06:34:14 EST
I see this problem in F10 too, but it looks it is not gthumb-specific, f-spot and gphoto2 command line utility give the same message.
Comment 5 Bug Zapper 2009-06-09 21:00:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:02:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Zenith88 2009-11-21 20:15:52 EST
RIP Fedora 9!

Now I am having the same problem in a fresh copy of Fedora 12.

An error occurred in the io-library ('Could not lock the device'): Camera is already in use.
Comment 8 Jason Merrill 2010-04-18 10:44:52 EDT
Reopening against F12.
Comment 9 Michael J. Chudobiak 2010-06-08 08:20:20 EDT
Upgrade to F13 with gThumb 2.11.x, which uses the gvfs-gphoto2 backend to share camera devices nicely.

This will never be fixed in gThumb 2.10.x, because it does not use gvfs.

- Mike
Comment 10 Michael J. Chudobiak 2010-06-08 08:25:54 EDT
*** Bug 579424 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.